低危 GNU binutils up to 2.29 libbfd section.c bfd_make_section_with_flags 拒绝服务漏洞

CVE编号

CVE-2017-12457

利用情况

暂无

补丁情况

官方补丁

披露时间

2017-08-05 04:29:00
漏洞描述
GNU Binutils(又名GNU Binary Utilities或binutils)是GNU计划开发的一组编程语言工具程序,它主要用于处理多种格式的目标文件,并提供有连接器、汇编器和其他用于目标文件和档案的工具。Binary File Descriptor(BFD)library(又名libbfd)是其中的一个以各种格式便携式操作对象文件的库。
GNU Binutils 2.29及之前的版本中的BFD库的section.c文件的'bfd_make_section_with_flag'函数存在安全漏洞。远程攻击者可借助特制的文件利用该漏洞造成拒绝服务。
解决建议
厂商已发布漏洞修复程序,请及时关注更新:
https://sourceware.org/bugzilla/show_bug.cgi?id=21840
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 gnu binutils * Up to
(including)
2.29
2
运行在以下环境
系统 amazon_2 binutils * Up to
(excluding)
2.29.1-27.amzn2.0.1
3
运行在以下环境
系统 debian_9 binutils * Up to
(excluding)
2.28-5
4
运行在以下环境
系统 fedora_29 binutils * Up to
(excluding)
2.31.1-17.fc29
5
运行在以下环境
系统 ubuntu_16.04 binutils * Up to
(excluding)
2.26.1-1ubuntu1~16.04.8+esm1
阿里云评分
2.9
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-476 空指针解引用
阿里云安全产品覆盖情况